/*
	skin & code by chris brenz @ Next In Line
	chris@nextinline.com
	http://www.nextinline.com/
	http://www.nextinline.com/chris/
*/

var rndSeed;
var lastMoved = "move1";
var move1x;
var move1y;
var move1x_sm;
var move1y_sm;
var speed1 = 1500;
var speed2 = 1000;
var speed3 = 2000;
var speed4 = 1200;
var speed5 = 1750;
var unLocked = false;
var moveToggle = "true";
var vidIsRunning = false;
var showViz = true;
var iAmLarge = true;

function onLoad() {
    openStateChange();
    playStateChange();
	vidIsRunning ? StartVideo() : EndVideo();
}

function openStateChange() {
	vidIsRunning = (player.openState==osMediaOpen) &&
        (player.currentMedia.ImageSourceWidth>0);
}

function playStateChange() {
	vidIsRunning = (player.openState==osMediaOpen) &&
        (player.currentMedia.ImageSourceWidth>0);
}

function StartVideo() {
	if (iAmLarge == false) {
		goLarge();
	}
	topLeftPane.moveto(0,0,500);
	showViz = false;
}

function EndVideo() {
	hideTopLeft();
}

function moveBob() {
	if (iAmLarge == true) {
			move1x = 202 + (Math.floor(Math.random()*220));		
			move1y = 3 + (Math.floor(Math.random()*309));
			move1.moveTo(move1x, move1y, speed1);
			move2.moveTo(move1x, move1y, speed2);
			move3.moveTo(move1x, move1y, speed3);	
			if (unLocked == true) {
					move4.moveTo(move1x, move1y, speed4);
					move5.moveTo(move1x, move1y, speed5);
			}
		} else {
			move1x_sm = 264 + (Math.floor(Math.random()*164));		
			move1y_sm = 1 + (Math.floor(Math.random()*39));
			move1_sm.moveTo(move1x_sm, move1y_sm, speed1);
			move2_sm.moveTo(move1x_sm, move1y_sm, speed2);
			move3_sm.moveTo(move1x_sm, move1y_sm, speed3);	
			if (unLocked == true) {
					move4_sm.moveTo(move1x_sm, move1y_sm, speed4);
					move5_sm.moveTo(move1x_sm, move1y_sm, speed5);
			}
	}
	
}

function bobToggle() {
	if ((iAmLarge == true) && (event.x > 211)) {								// only do this when Bob is large
		move1x = event.x - 11;
		move1y = event.y - 11;
		move1.moveTo(move1x, move1y, speed1);
		move2.moveTo(move1x, move1y, speed2);
		move3.moveTo(move1x, move1y, speed3);
		if (unLocked == true) {
			move4.moveTo(move1x, move1y, speed4);
			move5.moveTo(move1x, move1y, speed5);
		}	
		
	}
}

function showTopLeft() {
	showViz = true;
	topLeftPane.moveto(0,0,500);
}

function afterTopMove() {
	if (iAmLarge == true) {
		if (vidIsRunning == false) {
	        if (showViz == true) {
			closeEffectsText.visible = true;
	     	}
			myeffects.enabled = true;
			myeffects.visible = true;
	        myvideo.visible = false;
		} else {
		    myvideo.visible = true;
	        myeffects.enabled = false;
			myeffects.visible = false;
			closeEffectsText.visible = false;
	    }
	}
}

function hideTopLeft() {
	myeffects.enabled = false;
	myeffects.visible = false;
	myvideo.visible = false;
	showViz = false;
	closeEffectsText.visible = false;
	topLeftPane.moveto(200,0,500);
}

function showBotLeft(whichCrap) {
	switch(whichCrap) {
		case "audio":
			playlistcontrol.visible = false;
			playlistView.moveto(200,167,500);
			plButton.upToolTip="View Playlist";
			creditsText.visible = false;
			creditsView.zindex = "-1"
			creditsView.moveto(200,167,500);
			if (audioView.left == 200) {
			audioButton.upToolTip="Hide Audio Controls";
			audioView.moveto(0,167,500);
			audioView.visible = true;
			} else {
			audioControls.visible = false;
			audioButton.upToolTip="Display Audio Controls";
			audioView.zindex = "-1"
			audioView.moveto(200,167,500);
			}
			break;
		case "thePlaylist":
			audioControls.visible = false;
			audioView.zindex = "-1"
			audioView.moveto(200,167,500);
			audioButton.upToolTip="Display Audio Controls";
			creditsText.visible = false;
			creditsView.zindex = "-1"
			creditsView.moveto(200,167,500);
			if (playlistView.left == 200) {
			plButton.upToolTip="Hide Playlist";
			playlistView.moveto(0,167,500);
			playlistView.visible = true;
			} else {
			playlistcontrol.visible = false;
			plButton.upToolTip="View Playlist";
			playlistView.moveto(200,167,500);
			}
			break;
		case "credits":
			audioControls.visible = false;
			audioView.zindex = "-1"
			audioView.moveto(200,167,500);
			audioButton.upToolTip="Display Audio Controls";
			playlistcontrol.visible = false;
			playlistView.moveto(200,167,500);
			plButton.upToolTip="View Playlist";
			if (creditsView.left == 200) {
			creditsView.moveto(0,167,500);
			creditsView.visible = true;
			} else {
			creditsText.visible = false;
			creditsView.zindex = "-1"
			creditsView.moveto(200,167,500);
			}
			break;
	}
}

function showPL() {
	if (playlistView.left == 0) {
		playlistcontrol.visible = true;
	}
}

function showAC() {
	if (audioView.left == 0) {
		audioControls.visible = true;
		audioView.zindex = "0"
	}
}

function showCR() {
	if (creditsView.left == 0) {
		creditsText.visible = true;
		creditsView.zindex = "0"
	}
}

function getSmall() {
	iAmLarge = false;
	hideTopLeft();
	seekerBack.visible = false;
	myProgress.visible = false;
	if (audioView.left == 0) {
		audioControls.visible = false;
		audioButton.upToolTip="Display Audio Controls";
		audioView.zindex = "-1"
		audioView.moveto(200,167,500);
	}
	if (playlistView.left == 0) {
		playlistcontrol.visible = false;
		plButton.upToolTip="View Playlist";
		playlistView.moveto(200,167,500);
	}
	if (creditsView.left == 0) {
		creditsText.visible = false;
		creditsView.zindex = "-1"
		creditsView.moveto(200,167,500);
	}
	move1.visible = false;
	move2.visible = false;
	move3.visible = false;
	move4.visible = false;
	move5.visible = false;
	bigSubView.visible = false;
	miniView.visible = true;
	view.height="55"
	titleArea.visible = false;
	topLeftPane.visible = false;
	closeEffectsText.visible = false;
	move1_sm.visible = true;
	move2_sm.visible = true;
	move3_sm.visible = true;
	move4_sm.visible = true;
	move5_sm.visible = true;
}

function goLarge() {
	move1_sm.visible = false;
	move2_sm.visible = false;
	move3_sm.visible = false;
	move4_sm.visible = false;
	move5_sm.visible = false;
	miniCredits.visible = false;
	smallCred.upToolTip="Show Small Credits";
	miniPane.zindex="-1"
	miniPane.moveto(263,3,250);
	miniView.visible = false;
	bigSubView.visible = true;
	view.height="332"
	move1.visible = true;
	move2.visible = true;
	move3.visible = true;
	move4.visible = true;
	move5.visible = true;
	topLeftPane.visible = true;
	titleArea.visible = true;
	seekerBack.visible = true;
	myProgress.visible = true;
	showTopLeft();
	iAmLarge = true;
	randomImage.backgroundImage="blank.png";
	randomImage.backgroundImage="jump_splash2.gif";
}

function showSmallCredits() {
	if (miniPane.left == 126) {
		miniCredits.visible = true;
		miniPane.zindex = "0"
	}
}

function doMiniPane() {
	if (miniPane.left == 263) {
		smallCred.upToolTip="Hide Small Credits";
		miniPane.moveto(126,3,250);
		} else {
		miniCredits.visible = false;
		smallCred.upToolTip="Show Small Credits";
		miniPane.zindex="-1"
		miniPane.moveto(263,3,250);
		}
}

function changeSpline() {
	eq.enableSplineTension = !eq.enableSplineTension;
	if (eq.enableSplineTension == false) {
		theSplineButton.image="eq_spline_off.png";
		theSplineButton.upToolTip = "Enable Tension";
	} else {
		theSplineButton.image="eq_spline_on.png";
		theSplineButton.upToolTip = "Disable Tension";
	}
}

function setTimerValue(newSpeed) {
	myDefault.timerInterval = newSpeed*1000;
}

